PhoneGap中文网

 找回密码
 立即注册
查看: 9607|回复: 1

连接Mongodb pass option { useNewUrlParser: true } to MongoClient.connect

[复制链接]

28

主题

44

帖子

204

积分

中级会员

Rank: 3Rank: 3

积分
204
发表于 2018-9-17 18:19:59 | 显示全部楼层 |阅读模式
Nodejs /Koa连接 的时候提示(node:9192) DeprecationWarning: current URL string parser is deprecated, and will be removed in a future version. To use the new parser, pass option { useNewUrlParser: true } to MongoClient.connect错误


具体错误如下图:

a.png


各位大神请问如何解决?  Nodejs连接Mongodb4.0的时候出现的







回复

使用道具 举报

11

主题

529

帖子

1418

积分

金牌会员

Rank: 6Rank: 6

积分
1418
发表于 2018-9-17 18:24:33 | 显示全部楼层
Mongodb4.0中连接数据库需要加上   { useNewUrlParser: true }
这个参数。

如下图的第二个参数加入上面 对象就可以了。


22.png
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

关闭

站长推荐上一条 /1 下一条

ionic4视频教程

Archiver|手机版|小黑屋|PhoneGap中文网 ( 京ICP备13027796号-1

GMT+8, 2020-12-5 23:21 , Processed in 0.170287 second(s), 32 queries .

Powered by Discuz! X3.2

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表